Confirm Payment (TossPayments)
curl --request POST \
--url https://api.headlesscommerce.io/v1/storefront/payments/confirm \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"payment_key": "<string>",
"order_id": "<string>",
"amount": 123,
"provider": "tosspayments"
}
'{
"success": true,
"order_id": "<string>"
}Storefront - Payments
Confirm Payment (TossPayments)
Server-side payment confirmation after client-side TossPayments SDK approval.
Flow:
- Call
POST /storefront/carts/{id}/checkoutwithpayment_method: 'tosspayments' - Use the
toss_paymentresponse to initialize the TossPayments client SDK - After user completes payment in TossPayments UI, the SDK returns a
paymentKey - Call this endpoint with
payment_key,order_id, andamountto finalize
This endpoint validates the amount, calls the TossPayments Confirm API, and updates the order status to paid.
POST
/
storefront
/
payments
/
confirm
Confirm Payment (TossPayments)
curl --request POST \
--url https://api.headlesscommerce.io/v1/storefront/payments/confirm \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"payment_key": "<string>",
"order_id": "<string>",
"amount": 123,
"provider": "tosspayments"
}
'{
"success": true,
"order_id": "<string>"
}Authorizations
API Key. Example: sk_live_xxxxx or pk_live_xxxxx
Body
application/json
⌘I